Skip to content
View as Markdown

GET Get Campaign Processing Stat​

GET
/campaigns/{id}/processing-stat

Get the current processing status and statistics of a campaign being sent. This endpoint is polled during campaign sending to track progress. It processes a chunk of emails on each call and returns the updated campaign state, including whether the campaign has finished processing.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The campaign ID.

Type
integer
Required

Responses​

Processing statistics retrieved.

application/json
JSON
{
"campaign": {
"id": 0,
"title": "string",
"status": "string",
"recipients_count": 0,
"scheduling_range": {
},
"created_at": "string",
"updated_at": "string"
},
"reload": true,
"didRun": true,
"scheduling_method": "string"
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI